Restores a shutdown Deployment
- POST /deployments/{deployment_id}/_restore
Restores all resources in a Deployment.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
Query Parameters
-
restore_snapshotboolean · default: false Whether or not to restore a snapshot for those resources that allow it.
Responses
The request was valid and the resources of the deployment were restored.
-
idstringrequired -
The id of the deployment
There are Elasticsearch resources in the deployment which are not shut down.
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
You are not authorized to perform this action.
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response